Subject: Re: [Bitcoin-development] Seeking advice: Encouraging bug-fixing over new features

From: David Schwartz <[email-masked]>
Date: Tue, 02 Aug 2011 18:41:05 -0700

On 7/26/2011 6:31 PM, Gavin Andresen wrote:

> Anybody have advice on how to encourage more bug-fixing and testing of
> existing functionality instead of yet-more-features?

Two things would help a lot:

1) Letting people know that bug fixing is needed and would be 
appreciated. (In fact, until I saw your email, I had no idea this was an 
issue.)

2) Maintaining a list of the most important bugs that most need to be 
fixed in a place that's easy to find.

I bet there are a lot of talented programmers who just can't quite 
figure out how best to help or don't realize that this kind of help is 
needed.

Also, even better than a bounty system would probably be a changelog 
file included in the main source distribution that credited bugfixes to 
those who contributed them for the next few releases.

DS